Skip to navigation

Create elastic template version

View as Markdown

Creates a new version of an existing elastic template. In a new version, you can replace the uploaded documents, change the display settings, and change the name of the elastic template.

If the requireReacceptance property of the request body is false, the minor version number is incremented. When this property is true, the major version number is incremented, and the minor version number is reset to zero.

Required authentication scopes: click.manage.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.

Request

This endpoint expects an object: clickwrapRequest

clickwrapNamestringOptional

The name of the elastic template.

Required in ClickWraps: createClickwrap.

dataFieldslist of objectsOptional
An array of data fields available to be inserted into the documents.
displaySettingsobjectOptional
Information about how an agreement is displayed.
documentslist of objectsOptional
An array of documents. This object is required.
fieldsToNullstringOptional

Specifies whether scheduledReacceptance and scheduledDate should be cleared. May be one of:

  • "scheduledReacceptance"
  • "scheduledDate"
  • "scheduledReacceptance,scheduledDate"
isMajorVersionbooleanOptional
Not used.
isSharedbooleanOptional

When true, indicates that the elastic template is shared with one or more users in the account.

namestringOptional
Not used.
requireReacceptancebooleanOptional

When true, requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: 2.1 to 3.0

When false, signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: 2.1 to 2.2

scheduledDateobjectOptional
The time and date when this elastic template is activated.
scheduledReacceptanceobjectOptional
statusstringOptional

Status of an elastic template. This property is read-only. Possible values:

  • active
  • inactive
  • deleted
transferFromUserIdstringOptional

Not used. To update the user ID of an elastic template, use the updateClickwrap endpoint.

transferToUserIdstringOptional

Not used. To update the user ID of an elastic template, use the updateClickwrap endpoint.

Response

Successful response.
accountIdstringOptional

The external account number (int) or account ID GUID.

clickwrapIdstringOptional
The GUID of the elastic template.
clickwrapNamestringOptional
The name of the elastic template.
clickwrapVersionIdstringOptional
The unique GUID of this elastic template version.
createdTimeobjectOptional
The time that the elastic template was created.
dataFieldslist of objectsOptional

An array of dataField objects.

lastModifiedobjectOptional
The time that the elastic template was last modified.
lastModifiedBystringOptional
The user GUID of the last user who modified this elastic template.
ownerUserIdstringOptional
The user ID of the owner of this clickwrap.
requireReacceptancebooleanOptional

When true, requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: 2.1 to 3.0

When false, signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: 2.1 to 2.2

scheduledDateobjectOptional
The time and date when this elastic template is activated.
scheduledReacceptanceobjectOptional
statusstringOptional

Clickwrap status. Possible values:

  • draft
  • active
  • inactive
  • deleted
versionIdstringOptional
The GUID of the version.
versionNumberstringOptional

Human-readable version number. For example 1.2.

Errors

400
Bad Request Error